using Microsoft.EntityFrameworkCore;
using System.ComponentModel.DataAnnotations;

namespace BMA.EHR.Recurit.Exam.Service.Models.Disables
{
    public class DisableScore : EntityBase
    {
        [Required, MaxLength(50)]
        public string ExamId { get; set; }

        public int SumA { get; set; }

        public int FullA { get; set; }

        public double PercentageA { get; set; }

        [MaxLength(50)]
        public string AStatus { get; set; }

        public int SumB { get; set; }

        public int FullB { get; set; }

        public double PercentageB { get; set; }

        [MaxLength(50)]
        public string BStatus { get; set; }

        public int SumAB { get; set; }

        [Required, MaxLength(50)]
        public string ABStatus { get; set; }

        public int SumC { get; set; }

        public int FullC { get; set; }

        public double PercentageC { get; set; }

        [MaxLength(50)]
        public string CStatus { get; set; }

        [Required, MaxLength(50)]
        public string ExamStatus { get; set; }

        [MaxLength(200)]
        public string Major { get; set; }

        [MaxLength(200), Comment("ลำดับที่สอบได้")]
        public string Number { get; set; } = string.Empty;

        public ScoreImport ScoreImport { get; set; }
    }
}
